summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilipp Claßen2017-05-11 00:51:24 +0200
committerPhilipp Claßen2017-05-11 00:51:24 +0200
commit78c2459e0dcfa9d4bc5974d33293af451e5f5a9b (patch)
tree754adcbb8a38dfb6030d66857565179c848c791a
parent0e56feb0e9b34af605759d03352e04ec328b105e (diff)
downloadaur-78c2459e0dcfa9d4bc5974d33293af451e5f5a9b.tar.gz
Fail fast if _pkgver_base needs to be updated
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD7
2 files changed, 17 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b1d53e4ae65..b1ff08058c5 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Tue May 2 20:57:50 UTC 2017
+# Wed May 10 22:51:13 UTC 2017
pkgbase = gcc-multilib-trunk-git
pkgdesc = The GNU Compiler Collection developmental snapshot
- pkgver = 8.0.0.r153683.896d130e4dc
+ pkgver = 8.0.0.r153878.495cd7fe2dc
pkgrel = 1
url = http://gcc.gnu.org
arch = any
@@ -24,11 +24,11 @@ pkgname = gcc-multilib-git
pkgdesc = The GNU Compiler Collection - C and C++ frontends for multilib
install = gcc.install
groups = multilib-devel
- depends = gcc-libs-multilib-git=8.0.0.r153683.896d130e4dc-1
+ depends = gcc-libs-multilib-git=8.0.0.r153878.495cd7fe2dc-1
depends = binutils>=2.25
depends = libmpc
- provides = gcc=8.0.0.r153683.896d130e4dc-1
- provides = gcc-multilib=8.0.0.r153683.896d130e4dc-1
+ provides = gcc=8.0.0.r153878.495cd7fe2dc-1
+ provides = gcc-multilib=8.0.0.r153878.495cd7fe2dc-1
conflicts = gcc
options = staticlibs
@@ -36,9 +36,9 @@ pkgname = gcc-libs-multilib-git
pkgdesc = Runtime libraries shipped by GCC for multilib
install = gcc-libs.install
depends = glibc>=2.20
- depends = lib32-gcc-libs-git=8.0.0.r153683.896d130e4dc-1
- provides = gcc-libs=8.0.0.r153683.896d130e4dc-1
- provides = gcc-libs-multilib=8.0.0.r153683.896d130e4dc-1
+ depends = lib32-gcc-libs-git=8.0.0.r153878.495cd7fe2dc-1
+ provides = gcc-libs=8.0.0.r153878.495cd7fe2dc-1
+ provides = gcc-libs-multilib=8.0.0.r153878.495cd7fe2dc-1
conflicts = gcc-libs
options = !emptydirs
options = !strip
@@ -46,14 +46,14 @@ pkgname = gcc-libs-multilib-git
pkgname = lib32-gcc-libs-git
pkgdesc = Runtime libraries shipped by GCC (32-bit)
depends = lib32-glibc>=2.20
- provides = lib32-gcc-libs=8.0.0.r153683.896d130e4dc-1
+ provides = lib32-gcc-libs=8.0.0.r153878.495cd7fe2dc-1
conflicts = lib32-gcc-libs
options = !emptydirs
options = !strip
pkgname = gcc-objc-multilib-git
pkgdesc = Objective-C front-end for GCC for multilib
- depends = gcc-multilib-git=8.0.0.r153683.896d130e4dc-1
- provides = gcc-objc=8.0.0.r153683.896d130e4dc-1
+ depends = gcc-multilib-git=8.0.0.r153878.495cd7fe2dc-1
+ provides = gcc-objc=8.0.0.r153878.495cd7fe2dc-1
conflicts = gcc-objc
diff --git a/PKGBUILD b/PKGBUILD
index 25099879d1c..34b0690254a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@
pkgbase="gcc-multilib-trunk-git"
pkgname=('gcc-multilib-git' 'gcc-libs-multilib-git' 'lib32-gcc-libs-git' 'gcc-objc-multilib-git')
-pkgver=8.0.0.r153683.896d130e4dc
+pkgver=8.0.0.r153878.495cd7fe2dc
_pkgver_base=8.0.0
pkgrel=1
pkgdesc="The GNU Compiler Collection developmental snapshot"
@@ -38,6 +38,11 @@ pkgver() {
_libdir="usr/lib/gcc/$_CHOST/$_pkgver_base"
prepare() {
+ if [ $(cat ${srcdir}/gcc/gcc/BASE-VER) != $_pkgver_base ]; then
+ error "\`_pkgver_base\` needs to be updated to $(cat ${srcdir}/gcc/gcc/BASE-VER)"
+ return 1
+ fi
+
cd ${srcdir}/${_basedir}
# link isl/cloog for in-tree builds